%global pkg_version %(echo '%{version}' | tr '.' '-' | sed s/-/\\./)

Summary:     Collection of tools for modular content creators
Name:        modulemd-tools
Version:     0.16.1
Release:     1%{?dist}
License:     MIT
URL:         https://github.com/rpm-software-management/modulemd-tools
Source0:     %{url}/archive/refs/tags/%{name}-%{pkg_version}.tar.gz

BuildRequires: createrepo_c argparse-manpage python3-devel python3-pip python3-setuptools
BuildRequires: python3-libmodulemd >= 2.9.3 python3-dnf python3-hawkey python3-createrepo_c
BuildRequires: python3-pyyaml python3-wheel python3-pytest python3-koji

Requires: createrepo_c python3-dnf python3-hawkey python3-createrepo_c
Requires: python3-pyyaml python3-koji python3-libmodulemd >= 2.9.3

BuildArch:   noarch

%description
Tools provided by this package:

repo2module - Takes a YUM repository on its input and creates modules.yaml
    containing YAML module definitions generated for each package.

dir2module - Generates a module YAML definition based on essential module
    information provided via command-line parameters. The packages provided by
    the module are found in a specified directory or a text file containing
    their list.

createrepo_mod - A small wrapper around createrepo_c and modifyrepo_c to provide
    an easy tool for generating module repositories.

modulemd-add-platform - Add a new context configuration for a new platform
    into a modulemd-packager file.

modulemd-merge - Merge several modules.yaml files into one. This is useful for
    example if you have several yum repositories and want to merge them into one.

modulemd-generate-macros - Generate module-build-macros SRPM package, which is
    a central piece for building modules. It should be present in the buildroot
    before any other module packages are submitted to be built.

bld2repo - Simple tool for dowloading build required RPMs of a modular build from koji.

%prep
%setup -n %{name}-%{name}-%{pkg_version}

%build
%py3_build
PYTHONPATH=: ./man/generate-manpages.sh

%install
%py3_install

install -d %{buildroot}%{_mandir}/man1
cp man/*.1 %{buildroot}%{_mandir}/man1/

%check
%{python3} -m pytest -vv

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/modulemd_tools
%{python3_sitelib}/modulemd_tools-*.egg-info/
%{_bindir}/repo2module
%{_bindir}/dir2module
%{_bindir}/createrepo_mod
%{_bindir}/modulemd-add-platform
%{_bindir}/modulemd-merge
%{_bindir}/modulemd-generate-macros
%{_bindir}/bld2repo
%{_mandir}/man1/repo2module.1*
%{_mandir}/man1/dir2module.1*
%{_mandir}/man1/createrepo_mod.1*
%{_mandir}/man1/modulemd-add-platform.1*
%{_mandir}/man1/modulemd-merge.1*
%{_mandir}/man1/modulemd-generate-macros.1.*
%{_mandir}/man1/bld2repo.1.*

%changelog
* Mon Oct 30 2023 jackeyji <jackeyji@tencent.com> - 0.16.1-1
- initial build
